Compatibilidad WB 3.1.4

Avatar de Usuario
metsämies
Mensajes: 148
Registrado: 28 Nov 2015 13:05
Agradecido : 11 veces
Agradecimiento recibido: 15 veces

Compatibilidad WB 3.1.4

Mensajepor metsämies » 27 Ene 2019 20:08

Hi

He encpntrado algunas cosas que no funcionan o no funcionan como deberian hacerlo en 3.1.4, si a alguien le funcionan bien sera un error mio pero me gustaria saber la razon, lo uso en un a1200 060 32mb indivision AGA KS fisico e intuition.library v45.

BorderBlank: No llega a arrancar el Amiga, desactivandolo de startup-sequence arranca.
ToolsDaemon: Es inestable, aunque esto ya pasaba en 3.5/3.9
FBlit: Glitches, hace que muchos iconos cambien la paleta o que no cambien al hacer click en ellos.
FText: Llena de basura el texto, cambiando de font se soluciona pero solo hata siguiente boot.

Puede ser que nuevo WB no necesite FBLit/FText, o el problema esta en intuition.library v45, ideas?...

thx
Amiga ennen kaikkea!

Avatar de Usuario
metsämies
Mensajes: 148
Registrado: 28 Nov 2015 13:05
Agradecido : 11 veces
Agradecimiento recibido: 15 veces

Re: Compatibilidad WB 3.1.4

Mensajepor metsämies » 01 Feb 2019 00:12

Si alguien esta tambien con este bug, he encontrado otros usuarios con este error (en otros foros), es posible que sea por icon.library de PeterK en 3.1.4 aun no he podido probar, por si alguien le interesa.
Amiga ennen kaikkea!

Avatar de Usuario
kikems
Mensajes: 3211
Registrado: 30 May 2013 19:23
Agradecido : 895 veces
Agradecimiento recibido: 1237 veces

Re: Compatibilidad WB 3.1.4

Mensajepor kikems » 01 Feb 2019 02:18

metsämies escribió:Hi

He encpntrado algunas cosas que no funcionan o no funcionan como deberian hacerlo en 3.1.4, si a alguien le funcionan bien sera un error mio pero me gustaria saber la razon, lo uso en un a1200 060 32mb indivision AGA KS fisico e intuition.library v45.

BorderBlank: No llega a arrancar el Amiga, desactivandolo de startup-sequence arranca.
ToolsDaemon: Es inestable, aunque esto ya pasaba en 3.5/3.9
FBlit: Glitches, hace que muchos iconos cambien la paleta o que no cambien al hacer click en ellos.
FText: Llena de basura el texto, cambiando de font se soluciona pero solo hata siguiente boot.

Puede ser que nuevo WB no necesite FBLit/FText, o el problema esta en intuition.library v45, ideas?...

thx


En uno de los videos que hice puse un borderblack y me funcionó sin problema, lo que no recuerdo es cuál utilicé. Creo recordar que busque por Aminet y descargué el primero que vi.

Avatar de Usuario
SLD-SNaKe
Mensajes: 36
Registrado: 22 Oct 2018 21:52
Agradecido : 42 veces
Agradecimiento recibido: 26 veces

Re: Compatibilidad WB 3.1.4

Mensajepor SLD-SNaKe » 01 Feb 2019 08:39

Sobre el FBlit, he leído que Thomas Richter desaconseja su uso. Por lo que he entendido, a muchos usuarios les funciona aparentemente bien pero a otros no.
Thomas ha publicado recientemente este programa en aminet: driver/moni/Native.lha . Redirige las funciones del blitter a la CPU. Hay que instalar el software P96 y a continuación este programa en DEVS:Monitors.
Tengo pendiente probarlo, alguien más sabe algo o lo ha utilizado?
Personalmente, no he notado nada raro en mi A1200 con FBlit y 3.1.4.
-cocbm1 -coam1 1200/3000/4000

Avatar de Usuario
metsämies
Mensajes: 148
Registrado: 28 Nov 2015 13:05
Agradecido : 11 veces
Agradecimiento recibido: 15 veces

Re: Compatibilidad WB 3.1.4

Mensajepor metsämies » 02 Feb 2019 17:01

Thomas Richter tiene una larga discusion con algunos usuarios de varios foros, unos defienden FBlit/FText, que es mas rapido y Richter CGX, que cumple normas de AmigaOS, no se cual de los dos es mejor pero en esas discusiones nadie saca ninguna conclusion buena.

3.1.4 en general esta bien pero hay momentos que encuentras unas librerias version superior pero las de 3.1.4 tienen menos bugs (o eso se supone), por poner ejemplo, que installer es mejor, el que trae 3.1.4 o 3.5?

Seguire probando otros noborder y FBlit, gracias por las respuestas.
Amiga ennen kaikkea!

Avatar de Usuario
Estrayk
Mensajes: 731
Registrado: 05 Jun 2015 18:36
Ubicación: Valencia
Agradecido : 154 veces
Agradecimiento recibido: 479 veces

Re: Compatibilidad WB 3.1.4

Mensajepor Estrayk » 02 Feb 2019 20:30

metsämies escribió:ToolsDaemon: Es inestable, aunque esto ya pasaba en 3.5/3.9

A mi me va bien. ¿has probado este patch?
http://aminet.net/package/util/boot/ToolsDaemon22
metsämies escribió:3.1.4 en general esta bien pero hay momentos que encuentras unas librerias version superior pero las de 3.1.4 tienen menos bugs (o eso se supone), por pon ejemplo, que installer es mejor, el que trae 3.1.4 o 3.5?

Todas las libs, devs..etc.. estan mas actualizadas las del 3.1.4 que las del 3.5 y 3.9 en teoría. Así que el installer del 3.1.4 debería tener menos bugs que el del 3.5
-j4tar1 ・Falcon 060 ・・MegaSTE ・・STe ・
-coam1・v600 ・A1260・CD32・G5 MorphOS・
MISTMiSTer・Acorn Archimedes A3010・Mac Performa 040/40・Mac 4400 ・PowerMac G4 MDD・

Avatar de Usuario
metsämies
Mensajes: 148
Registrado: 28 Nov 2015 13:05
Agradecido : 11 veces
Agradecimiento recibido: 15 veces

Re: Compatibilidad WB 3.1.4

Mensajepor metsämies » 03 Feb 2019 18:27

@estrayk

Me alegra que no sea por 3.1.4, pero la parte mala es porque me falla a mi... seguire investigando... thx
Amiga ennen kaikkea!


Volver a “Software & OS Amiga”

¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 2 invitados